# Uses of Class
org.eclipse.jface.viewers.CheckboxTableViewer

Packages that use CheckboxTableViewer
Package
Description
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.

## Uses of CheckboxTableViewer in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers that return CheckboxTableViewer
Modifier and Type
Method
Description
`static CheckboxTableViewer`
CheckboxTableViewer.`newCheckList(Composite parent, int style)`
Creates a table viewer on a newly-created table control under the given parent.

## Uses of CheckboxTableViewer in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs that return CheckboxTableViewer
Modifier and Type
Method
Description
`protected CheckboxTableViewer`
ListSelectionDialog.`getViewer()`
Returns the viewer used to show the list.